Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 819181 - krita is missing features
Summary: krita is missing features
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: calligra
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-05 12:35 UTC by Máirín Duffy
Modified: 2012-05-11 10:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-05 15:53:41 UTC


Attachments (Terms of Use)

Description Máirín Duffy 2012-05-05 12:35:42 UTC
Description of problem:

I am at LGM speaking to Krita developers. They are looking at Garrett's F17 laptop with krita-2.4 and it is missing the 'canvas-only' feature. The 'canvas-only' feature on the left-hand side of the krita settings menu - it's missing. If you hit tab while in krita, it should show/hide the panels on the right-hand side of the screen. It does not work. 

They believe it's a packaging issue, perhaps a plugin isn't correctly included or perhaps some line is missing when the package is built.

Comment 1 Rex Dieter 2012-05-05 15:29:25 UTC
Apparently that feature is disabled in calliga-2.4,  from 
calligra-2.4.1/krita/ui/dialogs/kis_dlg_preferences.cc

I see some related code commented out:

/* disabled for 2.4
    // full-screen mode
    vbox = new KVBox();
    page = new KPageWidgetItem(vbox, i18n("Canvas-only settings"));
    page->setHeader(i18n("Canvas-only"));
    page->setIcon(KIcon("preferences-system-performance"));
    addPage(page);
    m_fullscreenSettings = new FullscreenSettingsTab(vbox);
*/

I'll try poking around on irc to get the scoop on this.

Comment 2 Rex Dieter 2012-05-05 15:35:07 UTC
and more disabled code in:
calligra-2.4.1/krita/ui/kis_view2.cpp

/* DISABLED for 2.4
    tAction = new KToggleAction(i18n("Show Canvas Only"), this);
    tAction->setCheckedState(KGuiItem(i18n("Return to Window")));
    tAction->setToolTip(i18n("Shows just the canvas or the whole window"));
    QList<QKeySequence> shortcuts;
    shortcuts << QKeySequence(Qt::Key_Tab);
    tAction->setShortcuts(shortcuts);
    tAction->setChecked(false);
    actionCollection()->addAction("view_show_just_the_canvas", tAction);
    connect(tAction, SIGNAL(toggled(bool)), this, SLOT(showJustTheCanvas(bool)));
*/

looks like it's not an accident.

Comment 3 Rex Dieter 2012-05-05 15:53:41 UTC
From freenode #krita channel:

[05/05/12 10:51] <idragosani> rdieter: I believe boud had specifically removed the feature in 2.4 because it wasn't working correctly. It's in 2.5 git right now, though, accessed via TAB

Looks like this feature will come in the 2.5 series...

Comment 4 Boudewijn Rempt 2012-05-11 10:14:35 UTC
Yeah, it was pretty broken in 2.4 and I had to disable it. See https://bugs.kde.org/show_bug.cgi?id=293628.

I think we're good to go for 2.5, though, which should  be out pretty soon already: http://community.kde.org/Calligra/Schedules/2.5/Release_Plan -- in July.


Note You need to log in before you can comment on or make changes to this bug.